package examples.ejb.extensions.readMostly;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;


/**
 * @author Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.
 */

public interface Stock extends EJBObject {

  public String getSymbol() throws RemoteException;

  public double getPrice() throws RemoteException;

  public double get52weekHigh() throws RemoteException;
  
  public double get52weekLow() throws RemoteException;

  public long getVolume() throws RemoteException;

}
